# Start by defining the Geant4 and ROOT environment variables :

At LIP you can just source the configuration script, in the MuonTomography top directory :

> source lip-conf.sh

In the LIP cluster you can also load other Geant4 and/or ROOT versions :

> module avail geant  (to see the available geant4 versions)   
> module load 'geant4 version you want'   

and similarly for ROOT. 

Alternatively you can load a specific version (e.g. in your laptop) 

> source $G4INSTALL/bin/geant4.SHELL    
> source $ROOTINSTALL/bin/thisroot.SHELL

(where G4INSTALL and ROOTINSTALL are the paths to your Geant4 and ROOT installations respectively, and SHELL=csh or sh,  depending on the chosen shell)


# Installing the application

```
cd MuonTomography
mkdir build
cd build
cmake ..
make
 ```

The executable MuTomo should now have been created. 


# Runing the application

You can run the application by typing :

```
MuTomo MACROFILE
```
where MACROFILE is a commands file, usually with extension .mac. If no MACROFILE is given you will get the command line prompt. 

In particular the following MACROFILE is available : 


* *run.mac* - run a selected number of events, without visualization.


(*source.mac* is a special macro file allowing to define the properties of the source of particles. It is invoked by the other macro files and should not be invoked directly.)

### Visualization

To visualize the geometry execute the macro *vis.mac* from an interactive seesion :

```
MuTomo
PreInit> /control/execute vis.mac
```
 
* *vis.mac*  Particles are injected according to the source properties defined in *source.mac* 


### Detector geometry and materials 

Detector geometry and materials are defined through [GDML](http://gdml.web.cern.ch/GDML/doc/GDMLmanual.pdf) files. The default geometry file is *setup.gdml*, which reads
*materials.gdml*. [NIST materials] (http://geant4-userdoc.web.cern.ch/geant4-userdoc/UsersGuides/ForApplicationDeveloper/BackupVersions/V9.3/html/apas09.html)
are referred directly in *setup.gdml*.