#include "EventROOT.hh"
#include "HitROOT.hh"
#include "TDirectory.h"
#include "TVector3.h"

#include<iostream>

ClassImp(EventROOT)  

using namespace std;

EventROOT::EventROOT()
{
  fHits = new TClonesArray("HitROOT",100);
  Reset() ;
}


EventROOT::~EventROOT()
{;}


void EventROOT::Reset()
{
  fNHits = 0;
  fRunNumber = 0;
  fEventNumber= 0;
  fPrimaryEnergy = 0.0;

  ClearHits() ;
}


void 
EventROOT::AddHit(const HitROOT & h)
{
  HitROOT *hit = (HitROOT*)fHits->ConstructedAt(fNHits++);
  *hit = h;
}

void EventROOT::ClearHits(){

  fHits->Clear("C") ;

}


void EventROOT::Dump()
const
{
  cout << this << endl;
}


ostream &operator<<(ostream& str, const EventROOT* event){

  if (event->fHits->GetEntries() == 0)
    return str;

  // str << event->fEventNumber << "  " << event->fPrimaryType << " " << event->fPrimaryEnergy << " ";
  // str << event->fPrimaryPosition.x() << " " << event->fPrimaryPosition.y() << " " << event->fPrimaryPosition.z() << " ";
  // str << event->fPrimaryDirection.x() << " " << event->fPrimaryDirection.y() << " " << event->fPrimaryDirection.z() << " ";
  // str << event->fHits->GetEntries() << endl;
  TIter next(event->fHits);
  HitROOT * hit;

  while ( (hit=(HitROOT*)next()) ) {
    if (hit->GetPDG() == 13)
    str << hit << endl;
  }

  return str;
}
