#ifndef EventROOT_h
#define EventROOT_h 1

#include <vector>

#include "TObject.h"
#include "TClonesArray.h"
#include "TVector3.h"


class Write2ROOT;
class HitROOT;
class TDirectory;


class EventROOT : public TObject {
friend std::ostream &operator<<(std::ostream&, const EventROOT*);

public:

  friend class Write2ROOT;

  EventROOT() ;
  virtual ~EventROOT() ;
  

  inline void SetRunNumber(Int_t nRun) {fRunNumber = nRun;}  
  inline void SetEventNumber(Int_t nEvent) {fEventNumber = nEvent;}   
  
  inline  UInt_t         GetNHits(){return fNHits;}  
  inline  TClonesArray  *GetHits(){return fHits;} 

public:
  void AddHit(const HitROOT &);

  void Dump(void) const;

private:
  void Reset() ;
  void ClearHits();


private:
  UInt_t fNHits;
  TClonesArray*  fHits; 

private:
  Int_t fRunNumber;
  Int_t fEventNumber;
  Int_t fPrimaryType;
  Double_t fPrimaryEnergy;  

  TVector3 fPrimaryPosition;
  TVector3 fPrimaryDirection;

  ClassDef(EventROOT,1)
};

#endif
