#include <iostream>
#include "HitROOT.hh"

using namespace std;

HitROOT::HitROOT()
{
  Clear();
}


HitROOT::~HitROOT()
{
  Clear();
}


void HitROOT::Clear(Option_t * /*option*/)
{
  fEnergy = 0.0; 
  fTime = 0.0; 
  fCharge = 0.0;
  fWeight = 0.0;
  
  fPosition = TVector3(0.0,0.0,0.0);
  fDirection = TVector3(0.0,0.0,0.0);
  fLocalPosition = TVector3(0.0,0.0,0.0);

  fPDG = 0; 
  fDetectorID = 0;
}


HitROOT::HitROOT(const HitROOT& right) : TObject()
{
  fEnergy = right.fEnergy;
  fTime = right.fTime;
  fCharge = right.fCharge;
  fWeight = right.fWeight;

  fPosition = right.fPosition;
  fDirection = right.fDirection;
  fLocalPosition = right.fLocalPosition;
 
  fPDG = right.fPDG; 
  fDetectorID = right.fDetectorID;
}



const HitROOT& 
HitROOT::operator=(const HitROOT& right)
{
  fEnergy = right.fEnergy;
  fTime = right.fTime;
  fCharge = right.fCharge;
  fWeight = right.fWeight;

  fPosition = right.fPosition;
  fDirection = right.fDirection;
  fLocalPosition = right.fLocalPosition;
 
  fPDG = right.fPDG; 
  fDetectorID = right.fDetectorID;
  
  return *this;
} 


int HitROOT::operator==(const HitROOT& right) const
{
  return (this==&right) ? 1 : 0;
}


void HitROOT::Dump()
const
{
  cout << this << endl;
}


ostream &operator<<(ostream& str, const HitROOT* hit){

  // str << hit->fPDG << " " << hit->fEnergy << " ";
  // str << hit->fPosition.x() << " " << hit->fPosition.y() << " " << hit->fPosition.z() << " ";
  str << hit->fDirection.x() << " " << hit->fDirection.y() << " "; // << hit->fDirection.z()  -> only x and y directions are written in output file, z is out for now

  return str;
}


void HitROOT::Print(Option_t * /* option */) const
{
  cout << "*****************************************" << endl;
  cout << "                 HIT                     " << endl;
  cout << "  Energy     (eV) :       " << fEnergy     << endl;
  cout << "  Position   (m)  :       " << fLocalPosition.x() << "  " << fLocalPosition.y() << "  "
  << fLocalPosition.z() << endl; 
  cout << "  World Position   (m)  :       " << fPosition.x() << "  " << fPosition.y() << "  "
  << fPosition.z() << endl; 
  cout << "  Time       (ns) :       " << fTime       << endl;
  cout << "  PDG code           :          "  << fPDG      << endl;
  cout << "  Detector ID          :          "  << fDetectorID      << endl;
  cout << "*****************************************" << endl;
}



