#include "EventROOT.hh"
#include <string>

class PrimaryGeneratorAction;

class Hit;
class HitROOT;
class EventROOT;
class G4PrimaryVertex;
class TFile;
class TTree;
class TDirectory;



class Write2ROOT {

  friend class RunAction;
  friend class EventAction;

public:
  Write2ROOT();
  Write2ROOT(const std::string& RootFilename);
  ~Write2ROOT ();
  
  void Open(const std::string& RootFilename);
  std::string GetROOTFileName(void) const {return fRootFilename;} 
  void CreateTree();
  EventROOT * GetEvent(void) {return fEventROOT;}
  const EventROOT * GetEvent(void) const {return fEventROOT;}
  void SaveAndClose();
  void FillTree();
  void WriteIt();
  void ClearEvent();
  void FillEventSummary();
  void PrintSummary(void) const;

  void DumpEvent(void) const {fEventROOT->Dump();}

private:
  void AddHit(const Hit &);
  void SetEventNumber(const int &);
  void SetPrimaryInfo(const PrimaryGeneratorAction*);
  
private:
  
  TFile* fRootFile;
  TTree* fTree;
  TDirectory* fSaveDir;
  std::string fRootFilename;
  EventROOT* fEventROOT;
};
  
