R__LOAD_LIBRARY(../build/libEventROOT)

#include "../ROOT/EventROOT.hh"

#include <iostream>
#include <fstream>

#include "TTree.h"
#include "TFile.h"
#include "TString.h"


// Read Tree.root file and create hits.txt file with detection coordinates
// hits.txt contents are defined in MuonTomography/ROOT/HitROOT.cc


void DumpEvent(TString file = "Tree.root")
{ 

  std::fstream OutFile; 
  OutFile.open("Hits.txt", std::ostream::out);
  cout << "Opening ROOT file : " << file << endl;

  TFile *f = new TFile(file);
  f->ls();
  TTree * t = (TTree*)f->Get("Tree");

  if (!t)
    return;

  EventROOT * e = new EventROOT();

  t->SetBranchAddress("EventROOT",&e);

  Long64_t nentries = t->GetEntriesFast();

  UInt_t ie = 0;
  while (ie < nentries) {
    if ((ie%10000) == 0) {
      cout << "Event " << ie << endl;
    }
    ie++;
    t->GetEntry(ie);
    OutFile << e;
  } // end loop tree entries

  f->Close();
  OutFile.close();
}

