#!/bin/bash

#$ -v SGEIN1=/home/cosmo/pteixeira/farm/MuonTomo/program.tar.gz

CMAKEBIN=cmake
PROGRAM=MuTomo
FILE=`basename $0 .sh` 
echo $FILE 
MACFILE=$FILE.mac
LOGFILE=$FILE.log

WORKDIR=`pwd`
MYJOBID=`basename $WORKDIR`
echo "MYJOBID: $MYJOBID"
echo -n "hostname: "
hostname
echo "processors:"
cat /proc/cpuinfo |grep 'model name'


#to be in work directory
cd 
cd $WORKDIR

echo "SGEIN:"
echo $SGEIN1
echo $SGEIN2

OUTDIR=#OUTDIR#

echo 'OUTDIR: ' $OUTDIR

cd $WORKDIR
#echo 'verifica'
#pwd
#ls -lh

tar zxvf program.tar.gz
cd MuonTomography

# create and cd to build directory
source lip-conf.sh
mkdir -p build
cd build
$CMAKEBIN ../. 
#echo 'pass 2'
#ls -lh

# prepare mac files
rm -fv $MACFILE 
cp -v MuTomo.mac.in $MACFILE

sed -i "s/NEVENTS/#EVENTS#/g" $MACFILE
sed -i "s/SEED1/#SEED1#/g" $MACFILE
sed -i "s/SEED2/#SEED2#/g" $MACFILE

#MORE1#
#MORE2#
#MORE3#
#MORE4#
#MORE5#
#MORE6#

make clean ; make 

echo "Geant4 command file : "
cat $MACFILE

#run Geant4

if [ -f $LOGFILE ]; then
 rm -f $LOGFILE
fi

#ls -lh ../data/
./$PROGRAM $MACFILE 

#echo 'pass 3'
#ls -lh 

# Write .root file in dump_dir
#for i in *.root
#do
#  file=`basename $i .root`_#SEED1#_#SEED2#.root
#  cp -fvr $i $OUTDIR/$file
#done 

file=Hits_#SEED1#_#SEED2#.txt
cp -fvr Hits.txt ${OUTDIR}/${file} 
echo "****"

